AdvanceMAME Version 0.53.1
	) Solved the crash bug on exit
	) Solved the vsync deadlock bug
	) Solved the text mode selection in the mv utility
	) The G200/G100 reference clock set to 27MHz
	) Added the missing makefile (advance.mak) in the source
		distribution
	) Minor bugfix

AdvanceMENU 1.14.1
	) Added the emergency signal handlers like AdvanceMAME
	) Minor bugfix

AdvanceMAME Version 0.53.0
	) Major release with BIG changes. This should be considered
		an alpha version. 
	) Kept the support for 8 bit modes. You can still use 8 bit 
		modes for games with less than 256 colors without
		problems. You can also use 8 bit modes for all the other 
		games but you lose in color precision.
	) The modeline format is changed. The new format is independent 
		of the video driver and of video board. The modelines 
		can now be exchanged between users.
	) Added a new set of video drivers called `svgaline' from
		the Linux SVGALIB library. These drivers overperform
		the old `vbeline' drivers. The old drivers are still
		supported anyway.
		These drivers are completly undependend of the underline VBE
		BIOS. You don't need the SDD utility anymore.
	) Added support for 32 bit depth.
	) The sources are now completly indipendent from the MAMEDOS
		sources. They stay in a new directory called `advance'.
		Check the updated `build.txt' to compile.
	) The configuration file is now named like the executable.
		For example "mamepp.exe" checks for "mamepp.cfg".
	) Added the `videodepth' option to control the bit depth of the
		video mode used. The old `depth' option is still present 
		but control only the internal size of the working MAME 
		bitmap.
	) Added the command line option `-default' to create a default
		`mame.cfg' file.
	) Removed the `videogenerate=adjustxy' option.
	) Removed all the -list* and -verify* options. These will may be
		added in a future version with an external utility.
		Only the -listinfo option is maintained.
	) Updated the `mv' and `cfg' utility at the new features.
	) Updated the `card.txt' file with a complete list of the video
		board supported.
	) The safeexit option now uses the safequit.dat file to check if 
		the exit is safe or not. If the game is in demo mode and no
		coin is inserted the "Continue/Exit" menu is not shown.
		[Filipe de V. Estima (Bugfinder), Ian Patterson]
	) The `soundcard' option now uses text tag and not numbers.
		The tags are :
		auto - Automatic detection
		sb - Sound Blaster
		awe32 - Sound Blaster AWE 32 (probably the 'sb' driver is faster)
		pas - Pro Audio Spectrum
		gusmax - Gravis Ultrasound Max
		gus - Gravis Ultrasound
		wss - Windows Sound System
		ess - Ensoniq Soundscape

Note on the modeline conversion:
	The new modeline format is :

	modelineX = NAME CLOCK HDE HRS HRE HT VDE VRS VRE VT [options...]

	To convert the modeline to this new formant you can run the mv utility
	and press F2 to save.

	If this doesn't work you can manually convert all your modelines
	simply removing the name of the video driver, the first number and
	the parentesis (). For example:

		modeline0 = pc_mult60_432x324x16 vbeline(41d4 22.7693 432 440 504 536 324 330 332 354 -hsync -vsync doublescan)

	became:

		modeline0 = pc_mult60_432x324x16 22.7693 432 440 504 536 324 330 332 354 -hsync -vsync doublescan

Note on the new svgaline driver:
	If you have problems you can disable these new drivers with the option:

	[video]
	svgaline_driver = none

	The video_mode_reset option may not work well with these drivers.

AdvanceMENU 1.14
	) The same video driver and modelines changes of AdvanceMAME 0.53
	) Added the option video_depth to control the depth of the
		video mode used.
	) The default video mode is now 1024x768 at 16 bit.
	) The `format' option if present is used to create a video
		from scratch like AdvanceMAME.

AdvanceMAME Version 0.37b16.1
	) Added the -quiet option to prevent the startup messages.
	) Minor bugfix
	) Added support for the Voodoo5 board.
	) Added support for other Rage 128 boards.

Work In Progress - NOT YET RELEASED - AdvanceCAB Version 0.9
	) The same modelines changes of AdvanceMAME 0.53
	) Added support for the Voodoo5 board.
	) Added the -r option at the video utility to reset the video
		board using the rest BIOS function.

AdvanceMENU Version 1.13
	) Solved the empty list problem with the -default option
	) Changed the default font.
	) Added the `lock' option to prevent any modification at the user
		interface. You can activate it from the config file,
		from the runtime menu or pressing the lock key (scroll-lock).
	) Added the `coin' sort key.

AdvanceMENU Version 1.12
	) Added the support for a `generic' emulator type. With this you
		should be able to use AdvanceMENU with any other emulator.
		Check the `mm.txt' file in the `emulator' section.
	) Added a selection by Vertical/Horizontal
	) Solved the `hidden cursor' bug
	) The `<undefined>' selection is now saved
	) Support for additional command line argument in the emulator call
	) Solved a crash bug if no snapshot are available on the slideshow
	) Added the game name on the slideshow
	) The `enter' press on the slideshow now start the game
	) Added the -quiet option to prevent the startup messages.

AdvanceMAME Version 0.37b16.0
	) Added the new `scale2x' blit effect. It's now the default
		when the `Magnify' option is activated.
	) Solved the unexpected termination when you exit from the
		onscreen menu.
	) The `safeexit' option now show a confirmation menu.
	) Hopefully solved all the "Page Fault" exceptions.
		You should be able to play also very huge games like
		garou with only 64 Mb of memory.
	) Changed the default keys for the sound recording.
		LCTRL+ENTER to start, ENTER to stop.
	) Updated the contrib/aos section by Nick Bourdo
	) Removed the dirty blit support
	) Some new 'ATI r128` and `Trident Blade 3D' cards supported.

AdvanceMENU Version 1.11
	) Added external import of the CATLIST file
		[http://www.mameworld.net/catlist/]
		and of the `MacMAME Grouping Files'.
		[http://www.tznet.com/cmader/categories.html].
		See the new options `type_import' and `group_import'.
	) Added two new preview modes `list_mixed' and `full_mixed'
		that show the snap, title, flyer and cabinet images
		together.
	) Added the new option `config' to select when and if the
		runtime configuration  changes should be saved
		or restored.
	) Added inclusion/exclusion attribute for the `Deco Cassette'
		and `PlayChoice-10' games.
	) Added the `idle_screesaver_preview' option `off' to
		shutdown the monitor in the screensaver mode
		using the VESA/PM services if avaliable.
	) Removed the auto cutoff of the preview images.
	) The icons and marquees images are now selectable with the
		new two modes `tile_icon' and `tile_marquee'.
		The older previous options `preview_icon' and
		`preview_marquee' don't exist anymore.

AdvanceMAME Version 0.37b15.0
	) The game aspect ratio is now used if available
	) The `vsync' option is now ignored if no modes with the
		correct frequency rate are available
	) Added the new scripts commands `simulate_event(EVENT,TIME)',
		`event(EVENT)' and simulate_key(KEY,TIME).
		Check the updated `script.txt' file.
	) Added the new option `safeexit=yes'. If enabled to exit
		you need to keep pressed the ESC key for 3 seconds.
	) The `cfg' utility now accepts the format values also in
		incremental format, not only in the differential format.

AdvanceMAME Version 0.37b14.3
	) Corrected a bug in the video mode generation for the high
		vertical resolution games with an Arcade/TV Monitor.
	) Some change at the `vbe3' driver. Now it logs a lot of
		details for a better debugging
	) Changed the source distribution. Now you must apply two
		patch. Check the build.txt file.
	) Some fix and inprovement at the `cfg' utility.
	) Added support for saving the volume attenuation in 
		the directory "att". [Rafael Prado Rocchi]
		You have to create the directory to enable this 
		function.
	
AdvanceMAME Version 0.37b14.2
	) Removed the `[config] aspect' option. The aspect is
		4/3 as default.
	) Removed the `[config] video_factor_frequency' option.
		The game frequency is now matched implicitly.
	) Renabled the `[config] scanlines' option. Now video modes are
		generated and choosen with scanlines if available.
		Note that you generally need a wide Vclock range.
		Something like 55-125 Hz.
	) Added the `[config] magnify' option to suggest the use of
		a double resolution.
	) Added the `[config] rgb' to suggest the use of a true RGB mode.
		If you already used the `depth=16' option now you can
		set it to `depth=auto' and use `rgb=yes' instead.
	) Some fix and inprovement at the modes generation and choice.
	) Some fix and inprovement at the `cfg' utility.	
	
AdvanceMAME Version 0.37b14.1
	) Added the configuration utility `cfg.exe' for the first
		time run.
	) Updated the `install.txt' file for the `cfg' utility.
	) Added the `[config] videogenerate' option to automatically
		create perfect video modes. Check the `mame.txt' and
		`install.txt' files for other info.
	) Solved a "Division by Zero" bug caused by
		the incorrect use of textmode modelines.
	) The "bliteffect = auto" option now select the "filter"
		effect if the game is strecthed by a factor equal or
		greater than 2.
	) The `pentium' version now uses the MMX if avaliable.
	) Added the `speed' utility to check the memory performance of
		your video board.

AdvanceMENU Version 1.10
	) The "neogeo" selection filter is now working
	) Faster blit for MMX processors
	) Progressive screen update
	) Added a new fullscreen mode
	) Added the sort/mode/preview/attribute items in the main menu
	) Added the sort key in the status bar and in the game list
	) Solved a bug on the tiled modes with vertical monitor.
	) You can select the preview to use in the slide show mode with the
		new option "idle_screensaver_preview"

AdvanceMAME Version 0.37b14.0
	) Added a new type of effects to simulate the aspect of an Arcade
		Monitor with a PC monitor. Check the new option "rgbeffect".
		- triad 3 pixel (normal/strong)
		- triad 6 pixel (normal/strong)
		- trial 16 pixel (normal/strong)
		- scanline 2/3 vertical lines
		- scanline 2/3 horizontal lines
	) General optimization at the blitter. A lot of new MMX
		code and some slowdown bugs fixed.
	) Added the new "Video" menu entry "Show Pipeline".
		This option show the current Blit Pipeline stages.

AdvanceMAME Version 0.37b13.0
	) Solved the throttle problem when the sound is disabled
	) Linked with the correct SEAL library. This solve the problem
		with some PCI Sound Blaster
	) Some change at the F5 command (generate video mode) of
		the `mv' utility

AdvanceMENU Version 1.9
	) Added a new event `rotate' to rotate the screen at runtime
		for cocktail machines. This event is mapped for default
		on the `0 PAD' key
	) Added support for zipped collections of images and sounds.
		Simply copy the .zip archives with the .png,.pcx,.ico,
		.mp3,.wav in the various snap, flyers... directories.
		For best performance the .zip archives containing
		`.png' and `mp3' files should be compressed in
		`storing' mode (without compression). These file
		formats are already compressed and don't need to
		be compressed another time.
	) Added support for 4 bit .ico files
	) Long icon titles are now truncated and not skipped
	) Solved the crash bug with empty preview images.
	) The first preview image found is used. Not the last.
	) Changed the default value of `cfg_scan' and `crc_scan' to `no'
	) Added the `-default' option to force the creation of a
		default `mm.cfg'

AdvanceMENU Version 1.8
	) Added the new option `preview_adjust' to control how
		the images is stretched.
		Use `preview_adjust square' if you like images
		with the correct aspect ratio.
	) The MP3 player is now able to skip the ID3 headers
	) The `Run game' message is now customizable with the
		option `msg_run'.
	) Added the `preview_default_*' options to specify default images.
	) The mouse can be disabled with the option `mouse no'
	) The background sound now continues also in the screensaver mode.
	) Added a set of .cfg files for the most common TVs and Monitors.
	) Some changes at the timer used for the `idle_start'
		and `idle_screensaver' options.
	) Changed the default value of the option "sound_interrupt"
		to "yes". Enable it if your sound is choppy.
	) Simplified the use with a normal PC monitor. If no video
		hclock/vclock or video modes are defined a default
		PC multisync monitor is assumed with the use of the
		standard VGA and VESA modes enabled.

AdvanceCAB Version 0.8
	) Corrected the default `vgaline' modes in the file
		standard.cfg, extended.cfg and medium.cfg
	) Solved some problems on the vga/vbe/video utilities.
	) The vbe utility is now tested in Windows 98 SE with a S3
		board.

AdvanceMAME Version 0.37b12.0
	) The scripts are terminated correctly also if the
		program crash.
	) Better system recover if the program crash.
		Now the system should be more stable.
	) Solved some "Page Fault" error in systems with low memory.
		Now you can run any game also with only
		64 Mbytes of memory.
	) Increased the maximum turbospeed to 30 and turbostartuptime
		to 180 seconds
	) Solved a precision time problem of the scripts. Now they work
		also if the frame rate is very high (> 1000)
	) Now you can use the joystick, the keyboard and the mouse
		together like the official MAME.
	) Added the support for the alpha blending and for the
		color conversion to any video mode depth. You can use
		the alpha blending also with 8 and 16 bits video modes.
		The best speed is with 15 bits video modes.
		The 32 bit video modes and the blit level rotation are
		currently unsupported.
	) Minor speedup for the case with "depth=16" and a 8 bit video mode.
	) Compiled with Allegro WIP 3.9.34 like the current MAME
	) Added the new default mode 384x224 mainly for the CPS2 games
	) Added the new config option `aspect'. This option control
		how compute the aspect ratio of the game emulated.
		The default behavior is different than the previous
		version. Check the file `mame.txt'

AdvanceMENU Version 1.7
	) The screen saver now doesn't ignore the `exit_press' option
	) Added trackball support. See the new `mouse_delta' option

AdvanceCAB Version 0.7
	) The `video' utility now clear the screen before loading a
		PCX image
	) The modeline utility can now generate an arbitrary mode from
		the command line. Example "modeline /svga60 384x224"

AdvanceMAME Version 0.37b11.1
	) Corrected the confusion of the "[config] video"
		and "[script] video" options.

AdvanceMAME Version 0.37b11.0
	) Removed the option `turbostartupspeed'. Now it's always at the
		maximum speed available and at frameskip 11.
	) Autoframeskip is automatically enabled when the turbo button
		is pressed
	) Corrected the automatic video mode choice.
	) Added the `video_factor_game_stretch' option. Now the
		'video_factor_*' options are documented in the
		'mame.txt' file. With these options you can control
		how the auto video mode is chosen.
		If you get incorrect results try to delete them and
		restart with the default values.
	) Renamed the option `video_factor_strecth' in `video_factor_aspect'.
	) Added scripts! You can control any external hardware devices
		using a like C scripts. See the new script.txt file.
	) Added the option `video_mode_reset' to prevent the
		video mode reset at the emulator exit

AdvanceMENU Version 1.6
	) Added coinage support for mame. You can disable it with
		the cfg_scan option (to speedup the menu loading time)
	) Removed the automatic creation of the info.txt file if the
		emulator executable is a batch file
	) Added the option "exit_press 0" to completely disable the exit.
	) The snapshot displayed in the listing mode without the clones is
		now the snapshot of the effective clone run if the parent
		set is not runnable.
	) All the file name matching is now case insensitive.
	) Added the new type of snapshot named `titles'. It works
		like `flyers' and other images.
	) Some changes at the sound options. Check the mm.txt files
		for the sound_foreground_* and sound_background_*.
	) Renamed `video_mode_switch' in `video_mode_reset'.

AdvanceCAB Version 0.6
	) Added the `contrib/bootlogo' utility by Robert Palmqvist
	) Cursor shape now setup correctly by the `vga' utility
	) Solved the command line problems loading the utilities in
		the config.sys. Now all the options are case insensitive.
	) Added the new utility `modeline'. All the `mv' modelines are now
		computed with this utility.

AdvanceMAME Version 0.37b10.0
	) Added support for Trident cards using the new video
		driver of VSyncMAME written by Saka.
		Use the "vbeline_driver=vbe3" option to revert to the
		old behavior.
	) Minor change at the `trident' driver for 16 bit modes
	) Added two new `turbostartupspeed' and `turbostartuptime' options to
		speed up the game startup.
	) Added a new `turbo' button (num pad *) and a new option
		`turbospeed' to speed up the game play
	) Added two new simple effects `filterx' and `filtery'
	) Changed the coinage support. Now it works for all
		the games because it intercepts the coin keys and it
		doesn't require the explicit driver support.
	) Corrected some garbage on video when using artworks

AdvanceMENU Version 1.5.1
	) Corrected the option `event_assign'
	) Corrected the option `mode_skip'
	) Corrected some problems with `"' in the `mm.cfg'
	) Changed the game sort to be case insensitive

AdvanceCAB Version 0.5
	) AdvanceVBE/VGA now named AdvanceCAB
	) Other utilities `portio' and `off' moved to AdvanceCAB
	) Added support for Trident cards using the new video
		driver of VSyncMAME written by Saka.
		Use the "vbeline_driver=vbe3" option to revert to the
		old behavior.
	) Some registers wasting corrected in the `vga' and
		`vbe' utility.
	) Corrected the ModeX change in the `vga' utility.
	) WARNING! Changed the command line options. Now if you call
		these utility without options a short help screen is
		printed. You must update all the batch files!
	) Added `sys' support at the utilities `vga' and `portio'.
		You can load them directly in the `config.sys' as a
		`device'. These version can't be unloaded.
	) Added in the `vga' utility an option to disable the video
		output of other programs.
	) Added a new utility `video' to enable and disable the hardware
		video output, load images, or set an arbitrary
		video mode.

AdvanceMENU Version 1.5
	) Added support for Trident cards using the new video
		driver of VSyncMAME written by Saka.
		Use the "vbeline_driver=vbe3" option to revert to the
		old behavior.
	) Documentation update. Now in sync with the program.
	) Better icon support. Now you need to press `space' to activate it.
	) Added the option `icon_space' to control the space
		between icons.
	) The VBE BIOS is now initialized after every emulator start.
		This solves problems with some bogus VBE BIOS (3dfx).
	) Added the `event_alpha' option to disable the fast moving
		with alphanumeric keys. This may be required with
		keyboard encoders when alphanumeric keys are used for
		others pourpuse.
	) Added marquee support with the new mame.cfg option `marquees'.
		Press `space' to activate it.
	) Added multi emulator support. Now you can list all the games
		of various emulators together. See the new mm.cfg
		`emulator' option.
	) Added `raine' support.
	) Added PCX support. Used by `raine' for the snapshots.
	) Added a new emulator menu (key F6) and the `emulator_include'
		option to select that emulators to show
	) Added the a new global menu (key ~) on which you can select
		other menus
	) Added the option `video_font'
	) Added the option `mode_skip'
	) Added the option `video_config'
	) Added the option `video_mode_switch'
	) Added the option `joystick'
	) Added the option `joystick_config'
	) Added the option `video_orientation'
	) Added the option `video_gamma'
	) Added the option `video_brightness'
	) Added support for `not', `or', `and' key definitions with the
		new option `event_assign'

AdvanceMAME Version 0.37b9.0
	) Added the capability to save sound preview. Use `backspace' to start
		and `enter' to stop the recording.
		The file is saved in the `snap' directory in the `wav'
		format. The frequency rate is the value specified
		with the mame.cfg `samplerate' option.
		Use the mame.cfg `recordtime' option to limit the maximum 
		record length in seconds.
	) Corrected some color palette issues in the `vbe/vbeline' modes.
	) Rewritten the choice of the best video mode. Now you can control
		the process with the new mame.cfg `video_factor_*' options.

AdvanceMENU Version 1.4
	) Added a new option `event_mode fast' to select if to
		wait or not for a complete screen redraw
	) Added a new option `event_repeat' to select the repeat rate
		of the events
	) Automatic exclude of flyers/cabinet modes if no images are found
	) Added some new tiled modes `tile_big', `tile_enormous'
		and `tile_giant'
	) More fast tiles scrolling
	) Added a flashing cursor
	) Added a new option `video_size' to select a generic video mode
		size without the use of the `mv' utility
	) Added sound support. Play `wav' file for some action and `mp3'
		files in background. See the new mm.cfg `sound_*' options.
	) Added per game sounds support. The mame.cfg option `snap' and
		`altss' are used to found `mp3' or `wav' sounds with the
		same name of the game to play when the cursor move
		to a specific game.
	) Added support for `ico' (Windows Icons) snapshot.
		These images are only used in the bigger tile modes if
		available.
		The `ico' files are read using the new mame.cfg `icons'
		option. 

AdvanceMAME Version 0.37b8.0
	) Recovered from an harddisk crash!
	) Halved the dotclock of interlaced modes in the "ati" driver
	) Updated the contrib/nick directory with better instructions
		for newbies and for the use with ArcadeOS
	) Added the contrib/prophet directory with example settings
		for the Princeton AR27T Monitor.

AdvanceMENU Version 1.3 (0.37b8.0)
	) Better support for MESS
	) Corrected some bugs related to long filenames and filenames
		with spaces or dots
	) Added the command menu (F8) to do some file operations
	) Added support for "cabinets" snapshot
	) Corrected the proportional font display
	) Added a fast move to the next system with the INS and DEL keys.

AdvanceVBE/VGA Version 0.4 (0.37b8.0)
	) Changed the mode number of the mode 1024x768 16 bit to follow
		the VESA 1.2 standard

AdvanceMAME Version 0.37b7.0
	) Corrected the aspect ratio of some games with
		VIDEO_ASPECT_RATIO_1_2 and ORIENTATION_SWAP_XY attributes.
	) Corrected some audit options like -verifyroms,...
	) Added the utility `portio' to drive the hardware ports.
	) Added the utility `off' to shutdown the PC.
	) Corrected a cheat menu bug (MAME bug)

AdvanceMENU Version 1.2 (0.37b7.0)
	) Added support for MESS
	) Added support for loading GRX fonts
	) Added support for proportional fonts
	) Added some new GRX fonts in the contrib/fonts directory,
		you can found the complete (big) set at
		ftp://x2ftp.oulu.fi/pub/msdos/programming/djgpp/v1tk/cbgrf103.zip
		
AdvanceVBE/VGA Version 0.3 (0.37b7.0)
	) Source maintenance

AdvanceMAME Version 0.37b6.0
	) Corrected the aspect ratio of some vectors games.
	) Minor correction at the `vbe3' driver
	) Added the option `[config] vsync_adjust'. If it's set to `yes'
		AND the `vsync' is enabled all the `vbeline' modes
		are adjusted to match the exact frame rate of the
		emulated game. This option makes sense only with a PC
		multisync monitor which can accept a wide range of
		vertical and horizontal frequencies.
		Try with :

		[config]
		vsync = yes
		vsync_adjust = yes

		Note that if the vsync is enabled you are very limited
		in changing the video mode at runtime.
	) Solved some bugs in the `r128' driver. Now working.
	) Now `mame' doesn't add any default video modes if the list
		defined in the `mame.cfg' file is empty. You MUST use
		`mv' to select the video modes avaliable.
	) Now the required hclock/vclock specification for a LCD screen	are:
		[video]
		hclock = 0
		vclock = 0
	) The default keys for the video mode change at runtime are now
		`,' (COMMA) and `.' (STOP) for preventing clash with the
		hotrod settings.
	) If the exit is done by the idle timeout the exit code is !=0
	) Removed the complete clear of all the video memory for
		problems with some NeoMagic cards (possible Segmentation
		fault)
	) Added and recomputed a lot of video modelines

AdvanceMENU Version 1.1 (0.37b6.0)
	) Corrected the timing in the `idle_start' option, now
		the timer also reset if the user exit from `mame'
		pressing ESC (requires AdvanceMAME 0.37b5.1 or greater)
	) When the clone aren't listed and you start a game not	emulated
correctly the best clone is run instead. If you want
		to force the run of the bad game use the F12 command.
	) If the screenshot isn't found it's searched the screenshot of any
		avaliable clones or parent games.
	) The key for selecting/deselecting all in the menu are now 'INS'
		and 'DEL' and are remappable with the cfg file.
	) Added the preview of the flyers pics. See the new options 'flyers'
		in and press SPACE to switch from snap to flyers
	) New look
	) Colors adjustable in the file `mm.cfg'
	) Automatic cut of any symmetric left/right or up/down monochromatic
		band in the previews
	) Compiled with the latest Allegro library to support all the
		newer joysticks
	) Now works also if some games are missing in the info.txt

AdvanceVBE/VGA Version 0.2 (0.37b6.0)
	) Saved all the 32 bit registers in the int 10h call
		(this should solve some problems)
	) Added a private stack (this should solve A LOT of problems)
	) Increased the max number of modelines to 64
	) Added the `vga' utility (preliminary)
	) Added support for the vga text mode 01h (40x25), this may
		be used as default text mode for Arcade 25 kHz monitors.

Version 0.37b5.0
	) Added the video driver `r128' for the ATI Rage 128 boards
	) Added the video driver `neomagic' for the NeoMagic boards,
		very common on laptops
	) Updated the video driver `s6326' to the last VSyncMAME
		0.37b5 driver.
	) Restructured the others video drivers.

	If you have problem with these new drivers you can
	disable them with the option:
		[video]
		vbeline_driver = no

	) Added a new menu mode to the utility `mm' which display
		a lot of tiled preview at the same times. Press TAB to
		cycle from one mode to another.
	) Added the contrib/xfree directory with some very useful
		technical documentation of video stuffs
	) Started the AdvanceVBE project
	) Now the utility `mm' is avaliable also as a standalone project
		named AdvanceMENU
	) Changed the diplay format of the video mode list in `mame'
	) Updated a lot the file `mame.txt'
	) Added the support for a second mouse imported from OptiMAME
		by Andy Geez. You can found the custom mouse driver
		in the contrib/optimous directory.

Version 0.37b4.0
	) Added `cirrus', `s3' and `matrox' video drivers
	) Added the `-log' option at `mv'
	) Added the `-nosound' option at `mv'
	) Reinserted the mame option `triplebuffer'. If you want to activate
		the buffering you must insert the `triplebuffer = yes'
		option in your mame.cfg. The default is with buffering
		disabled like the official mame. (auto->yes, missing->no)
	) Added some new `vbeline' modes for PAL/NTSC
	) Added the resize command with the CTRL+ARROW keys in the `mv'
		test screen

	I am interested in functionality reports with these information:
	1) Model of your video board
	2) The runtime log file "mv.log" generated with the command 
	"mv -log"  when you test (pressing ENTER) all the `vbeline' 
	video modes available.
	3) The list of `vbeline' video modes that display incorrectly

Version 0.37b3.1 (never released)
	) Corrected a lot of bugs in the blitters when the rotation
		and effects are active together (segmentation fault)
	) Corrected a bug in the palette conversion from 16 to 8 bit
		(slow down)
	) Corrected a bug in `mm' if no snap was present for the first
		selected game (blank screen)
	) Added the `max' effect also in rgb modes
	) Corrected the save function of the `video' option
	) Changed the default of the `resize' option from `integer'
		to `mixed'
	) Changed the `mm' savescreen to fullscreen size
	) Added the save state for the list of types and groups selected
		in the `mm' utility
	) Corrected the save function of the video options by
		resolution with a vertical monitor
	) Added an internal font in the `mm' utility that now
		doesn't require the file `mm.fnt'
	) Added the automatic creation and updating of the file `info.txt'
		in the `mm' utility
	) Added all the VSyncMAME drivers. See the new option
		`vbeline_driver' in the `mv.txt' file. Very
		thanks to Saka!
	) Converted the `mame' ati video driver from the original MAME source.
	) Added the center command with the ARROW keys in the `mv'
		test screen
	) Minor changes and corrections of the mame menu interface
	) Added the `merge disable' option at the `mm' utility

Version 0.37b3.0
	) Added to the source distribution the missing files
		`blitmax.h' and `blitrot.h'
	) Removed the file `makefile.dif' from the source distribution,
		now you can use the standard `mame' Makefile
	) Corrected minor bugs in the `Analog Controls' and
		`Video Config' menu

Version 0.37b2.2 (never released)
	) Corrected the `mm' option merge
	) Corrected the size of the vectors game
	) Corrected the save function of the bliteffect option

Version 0.37b2.1
	) Added to the `mm' utility the ability to save the
		position of the cursor between runs
	) Added to the `mm' utility the options `merge' to select
		the format of your roms.
	) Corrected the bug that prevented the correct loading and saving 
		of the nvram files
	) Added a new configuration method based on the resolution of
		the games. All the `[config]' options in the `mame.cfg'
		file are now read in three different sections in this
		order:

		[GAME] - the short game name like [pacman]
		[RESOLUTION] - the resolution of the game like [244x288]
			for raster games or [vector] for vector games
		[config] - the default section

	) Inserted the option `dirty' like the current `mame', use
		`dirty = no' to disable the dirty buffer.
	) Added to the `mm' utility a software key repeat for who use
		the hotrod console.
	) Added a new menu option `Video Config' for selecting at runtime
		some video options like: video mode, effects, ...
	) The video mode for any game is now saved only if
		requested with the appropriate menu entry.
	) Changed the analog input stick behavior, read the
		section `ANALOG INPUT STICK' in the file `mame.cfg'

Version 0.37b2.0
	) Corrected a bug that prevent the selection of the input codes
		for a specific game
	) Corrected the problem of invisible columns on	the right for
		some games. This problem is still presents in the complex
		blitters (stretch/rotate).
	) Corrected a bug in the alignment of the memory of the visible
		part of the game bitmap.
	) Moved and changed the `mm' option "idlestart" from the file
		mame.cfg to "idle_start" in the file mm.cfg
	) Added the `mm' option "idle_move" to the file mm.cfg to realize
		a basic slide show
	) Added the game screen size information in the `mm' utility
	) Updated the `mm' documentation file `mm.txt'
	) Corrected the gamma modification at runtime

Version 0.37b1.0

Version 0.36r2.2
	) Added a warning screen for preventing the use of BIOS modes
		with low frequency monitors
	) Corrected the parsing of fixed value in the "hclock=" option
	) Added memory for skiplines and skipcolumns options for
		the single game
	) Other minor changes

Version 0.36r2.1
	) Corrected the error "Too low virtual x size" with some
		bogus VBE3 implementation
	) Corrected and extended the vbeline modes
	) Added the '[video]' option 'vbe_tweak=moderate|aggressive'
	) The specifications of '[video]' options 'hclock'
		and 'vclock' are required
	) Added hardware mode grabbing in command F6 in 'mv' for all modes
	) Added customization of horizontal/vertical/pixel clock in
		command F5 in 'mv'
	) Added mode number change for vgaline/vbeline in command F7 in 'mv'
	) Changed the calibration screen in command F9 in 'mv'
	) Changed the list of default video mode in 'mv', added a lot of
		default vbeline modes
	) Documentation update

Version 0.36r2.0

Version 0.36r1.0 (never released)
	) Corrected a bug in the video mode change causing a freeze if the
		cheat option is active
	) Corrected a bug in the vsync code causing a crash at the startup of
		many games
	) Default video mode change keys are now '[' and ']'
	) Added a memory for the manually selected video configuration

Version 0.36rc2.0
	) Corrected a bug causing memory corruption in video mode change
	) Added absolute tick values in the profiler
	) Corrected the sort menu of the 'mm' utility
	) Changed the sort order of video modes in the 'mv' utility
	) Corrected a bug in vsync code causing (sometimes)
		a big slowdown if 'frameskip=auto' is active
	) Video mode change at runtime disabled if vsync is active, you can
		still change the video configuration on the same video mode

Version 0.36rc1.1 (never released)
	) Added a startup check for the presence of a mmx cpu if required
	) Corrected a bug in color of the user interface in 16 bit modes
		causing wrong colors
	) Corrected a bug if stretch and filter activated together causing
		incorrect video output
	) Corrected a bug that permits to use unaligned bitmap causing a loss
		of performance with mmx
	) Corrected a bug in vbe 8 bit modes with a palette of 8 bit causing
		incorrect colors

Version 0.36rc1.0
	) MAME compiled with Allegro WIP3931 (-march=i586), utilities
		compiled with WIP3928 (smaller)
	) Added special blitters for unchained double and palette conversion
	) Added new bliteffects for rgb video modes
		mean - merge lines with the mean colors
		filter - apply a low pass filter
	) MAME compiled with a patched version of SEAL with improved sound
		quality
	) Corrected some minor bugs on the blitrotate system
	) Added the Advance Mame logo [Melanie Burns]

Version 0.36b16.2 (never released)
	) Added basic asm/mmx blit routines for x1,x2 horizontal stretch:
		the pentiumpro target uses asm routines with mmx instructions
		the pentium target uses asm routines with shift/swap instructions
	) Added cache for input functions at core level
	) Utility `mm' flush smartdrv cache before running games
	) Added utility `mk'
	) Correct bug of partially black screen with video conversion
		from 8 to 16 bit
	) Video option bliteffect= for selecting the image
		reduction algorithm (when the screeen is too small for
		the complete image). Modes avaliable :
			no - skip some lines
			max - plot the lightest pixel (work very well for
				pacman style games). Avaliable only if the
				game uses a fixed palette.
			auto - automatic selection (list based)
	) Added video options blitrotate = auto, automatic selection (list based)
	) Added new aos.txt and mame.dat for AOS [Nick Bourdo]
	) Video configuration modifiable at runtime, press HOME/END,
		use the -log option for viewing the list of avaliable
		video configuration for one game
	) Added patch src.dif to apply at mame core sources for compiling
	) Added `mame' configuration option "idleexit = SECONDS" for
		an automatic exit after SECONDS of inactivity
	) Added `mm' configuration option "idlestart = SECONDS" for
		an automatic random start after SECONDS of inactivity
	) Documentation changes

Version 0.36b16.1
	) Correct a bug in some blit routines, specifically in blitting
		in a 8 bit mode with a 16 bit palette
	) Reinsert dedicated and faster blitting routines when no rotation
		is required

Version 0.36b16.0
	) Added rotation at blit level, use the new option "blitrotate = yes"
		for games that don't rotate correctly (ex. NeoGeo)
	) Renamed the option "stretch" to "resize"
	) Minor modifications at errorlog
	) Minor modifications at mv
	) Substituted the option `resize = yes' to `resize = integer'

Version 0.36b15.1
	) Correct the crash if "vsync" is active and no modes avaliable
	) Correct bug of missing horizontal lines if "scanline" is active
	) Better output in errorlog.txt
	) Correct bug in the input system

Version 0.36b15.0
	) Created the history.txt file
